%% Initialization
close all
clear all
clc

vG_h = dlmread('resulth_vG.txt');
vG_u = dlmread('resultu_vG.txt');

Sc =  dlmread('result_Sc.txt');
FD =  dlmread('result_FD.txt');


%% generating x and y data for fitting

%hA_f = [vG_h(:,1)' Sc(:,1)' FD(:,1)'];
hA_f = [vG_h(:,1)' Sc(:,1)'];

%uA_f = [vG_u(:,1)' Sc(:,3)' FD(:,3)'];
uA_f = [vG_u(:,1)' Sc(:,3)'];

%hA_m = [vG_h(:,2)' Sc(:,2)' FD(:,2)'];
hA_m = [vG_h(:,2)' Sc(:,2)'];

%uA_m = [vG_u(:,2)' Sc(:,4)' FD(:,4)'];
uA_m = [vG_u(:,2)' Sc(:,4)'];

cAh = 0.872;
cAu = 0.887;
%% figure 1 showing flow depth
 figure1 = figure('Name','Flow depth hA2% measured by van Gent and Schuttrumpf vs. computation');
    set(figure1,'PaperUnits','points');

    xSize = 280; ySize = 180;

    % additional coordinates to locate the figure on A4-paper
    xLeft = (597-xSize)/2; yTop = (845-ySize)/2;

    % set the position and size of the figure on the paper to the desired
    % values
    set(figure1,'PaperPosition', [xLeft yTop xSize ySize]);

    % reset the size and position of the figure window on the computer screen
    set(figure1,'Position', [xLeft yTop xSize*2 ySize*2]);

    x = 45/xSize; y = 40/ySize; 

    % Figure dimensions are 142 pt wide and 106.3 pt high
    width = 200/xSize; height = 127/ySize;

    % Create axes
    axes1 = axes('Parent', figure1, 'position', [x y width height]);
    set(axes1,'XMinorGrid','off');

    % Create xlabel
    xlabel('h_{A,2%} / H_{m0} computation');
    % Create ylabel
    ylabel('h_{A,2%} / H_{m0} measurement');

    % X-limits of the axes
    xlim(axes1,[0 0.4]);
    % Y-limits of the axes
    ylim(axes1,[0 0.4]);
    
    box(axes1,'on');
    hold(axes1,'all');
    
plot1 = plot(cAh*hA_f(1:17),  hA_m(1:17),'Parent',axes1,'LineStyle','none','Color',[0 0 0]);
set(plot1,'Marker','o','DisplayName','A');
plot2 = plot(cAh*hA_f(18:34),  hA_m(18:34),'Parent',axes1,'LineStyle','none','Color',[0 0 0]);
set(plot2,'Marker','square','DisplayName','B');
plot3 = plot(cAh*hA_f(35:51),  hA_m(35:51),'Parent',axes1,'LineStyle','none','Color',[0 0 0]);
set(plot3,'Marker','x','DisplayName','C');
plot4 = plot(cAh*hA_f(52:68),  hA_m(52:68),'Parent',axes1,'LineStyle','none','Color',[0 0 0]);
set(plot4,'Marker','^','DisplayName','D');
plot5 = plot(cAh*hA_f(69:73),  hA_m(69:73),'Parent',axes1,'LineStyle','none','Color',[0 0 0]);
set(plot5,'Marker','*','DisplayName','Schuttrumpf');

plot6 = plot([0 1], [0 1],'Parent',axes1);
set(plot6,'Color','Black');

% Create legend
    legend1 = legend(axes1,'van Gent A','van Gent B','van Gent C','van Gent D','Schuttrumpf');
    set(legend1,'Location','EastOutside');

% print figure as an eps file    
    print('-depsc','-tiff','-r600', 'hA2_vGSc');
    
    
% figure 2 linear relation
figure2 = figure('Name','Flow velocity uA2% measured by van Gent and Schuttrumpf vs. computation');
    set(figure2,'PaperUnits','points');

    % set the position and size of the figure on the paper to the desired
    % values
    set(figure2,'PaperPosition', [xLeft yTop xSize ySize]);

    % reset the size and position of the figure window on the computer screen
    set(figure2,'Position', [xLeft yTop xSize*2 ySize*2]);

    % Create axes
    axes2 = axes('Parent', figure2, 'position', [x y width height]);
    set(axes2,'XMinorGrid','off');

    % Create xlabel
    xlabel('u_{A,2%} / (gH_{m0})^{0.5} computation');
    % Create ylabel
    ylabel('u_{A,2%} / (gH_{m0})^{0.5} measurement');

    % X-limits of the axes
     xlim(axes2,[0.1 2]);
    % Y-limits of the axes
     ylim(axes2,[0.1 2]);
    
    box(axes2,'on');
    hold(axes2,'all');
    
plot7 = plot(cAu*uA_f(1:17),  uA_m(1:17),'Parent',axes2,'LineStyle','none','Color',[0 0 0]);
set(plot7,'Marker','o','DisplayName','A');
plot8 = plot(cAu*uA_f(18:34),  uA_m(18:34),'Parent',axes2,'LineStyle','none','Color',[0 0 0]);
set(plot8,'Marker','square','DisplayName','B');
plot9 = plot(cAu*uA_f(35:51),  uA_m(35:51),'Parent',axes2,'LineStyle','none','Color',[0 0 0]);
set(plot9,'Marker','x','DisplayName','C');
plot10 = plot(cAu*uA_f(52:68),  uA_m(52:68),'Parent',axes2,'LineStyle','none','Color',[0 0 0]);
set(plot10,'Marker','^','DisplayName','D');
plot11 = plot(cAu*uA_f(69:73),  uA_m(69:73),'Parent',axes2,'LineStyle','none','Color',[0 0 0]);
set(plot11,'Marker','*','DisplayName','Schuttrumpf');

plot12 = plot([0 2], [0 2],'Parent',axes2);
set(plot12,'Color','Black');
% Create legend
    legend2 = legend(axes2,'van Gent A','van Gent B','van Gent C','van Gent D','Schuttrumpf');
    set(legend2,'Location','EastOutside');

% print figure as an eps file    
    print('-depsc','-tiff','-r600', 'uA2_vGSc');